Bug 1255396 - BuildID[sha1] sum is architecture dependent
Summary: BuildID[sha1] sum is architecture dependent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: file
Version: 7.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-20 13:13 UTC by Karel Srot
Modified: 2015-11-19 08:11 UTC (History)
2 users (show)

Fixed In Version: file-5.11-31.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 08:11:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC

Description Karel Srot 2015-08-20 13:13:28 UTC
Description of problem:

I am curious whether this is expected.

[x86_64]# rpm -q file
file-5.11-28.el7.x86_64
[x86_64]# file cpupower 
cpupower: ELF 64-bit LSB executable, ARM aarch64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 3.7.0, BuildID[sha1]=0x0640a8e22aa338787f3d513883f3e7764e0c1318, stripped

but the same file on ppc64

[ppc64]# rpm -q file
file-5.11-29.el7.ppc64
[ppc64]# file cpupower 
cpupower: ELF 64-bit LSB executable, ARM aarch64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 3.7.0, BuildID[sha1]=0xe2a840067838a32a38513d7f76e7f38318130c4e, stripped

Seem to be caused by different endianity but is this expected?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jan Kaluža 2015-09-01 07:37:17 UTC
This is fixed in following upstream bugreport: http://bugs.gw.com/view.php?id=208

Comment 10 errata-xmlrpc 2015-11-19 08:11:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.